---

  - name: "Memory limit from 128M to {{ php_memory }} for PHP{{ php_version }}"
    lineinfile:
      line: "memory_limit = {{ php_memory }}"
      regexp: "^memory_limit"
      path: "{{ php_ini_file }}"
      state: present
    notify: reload php-fpm php7_fpm
    tags:
      - confphpfpm

  - name: "opcache.save_comments to {{ opcache_save_comments }} for PHP{{ php_version }}"
    lineinfile:
      line: "opcache.save_comments = {{ opcache_save_comments }}"
      regexp: "^opcache.save_comments"
      path: "{{ php_ini_file }}"
      state: present
    notify: reload php-fpm php7_fpm
    tags:
      - confphpfpm

  - name: "opcache.revalidate_freq to {{ opcache_revalidate_freq }} for PHP{{ php_version }}"
    lineinfile:
      line: "opcache.revalidate_freq = {{ opcache_revalidate_freq }}"
      regexp: "^opcache.revalidate_freq"
      path: "{{ php_ini_file }}"
      state: present
    notify: reload php-fpm php7_fpm
    tags:
      - confphpfpm

  - name: "opcache.max_accelerated_files to {{ opcache_max_accelerated_files }} for PHP{{ php_version }}"
    lineinfile:
      line: "opcache.max_accelerated_files = {{ opcache_max_accelerated_files }}"
      regexp: "^opcache.max_accelerated_files"
      path: "{{ php_ini_file }}"
      state: present
    notify: reload php-fpm php7_fpm
    tags:
      - confphpfpm

  - name: "opcache.interned_strings_buffer to {{ opcache_interned_strings_buffer }} for PHP{{ php_version }}"
    lineinfile:
      line: "opcache.interned_strings_buffer = {{ opcache_interned_strings_buffer }}"
      regexp: "^opcache.max_accelerated_files"
      path: "{{ php_ini_file }}"
      state: present
    notify: reload php-fpm php7_fpm
    tags:
      - confphpfpm

  - name: "pm.max_children {{ php_pm_max_children }} for PHP{{ php_version }}"
    lineinfile:
      line: "pm.max_children = {{ php_pm_max_children }}"
      regexp: "^pm\\.max_children"
      path: "{{ php_www_conf_file }}"
      state: present
    notify: reload php-fpm php7_fpm
    tags:
      - confphpfpm

  - name: "max pm.start_servers {{ php_pm_start_servers }}  for PHP{{ php_version }}"
    lineinfile:
      line: "pm.start_servers = {{ php_pm_start_servers }}"
      regexp: "^pm\\.start_servers"
      path: "{{ php_www_conf_file }}"
      state: present
    notify: reload php-fpm php7_fpm
    tags:
      - confphpfpm

  - name: "max pm.min_spare_servers {{ php_pm_min_spare_servers }}  for PHP{{ php_version }}"
    lineinfile:
      line: "pm.min_spare_servers = {{ php_pm_min_spare_servers }}"
      regexp: "^pm\\.min_spare_servers"
      path: "{{ php_www_conf_file }}"
      state: present
    notify: reload php-fpm php7_fpm
    tags:
      - confphpfpm

  - name: "max pm.max_spare_servers {{ php_pm_max_spare_servers }}  for PHP{{ php_version }}"
    lineinfile:
      line: "pm.max_spare_servers = {{ php_pm_max_spare_servers }}"
      regexp: "^pm\\.max_spare_servers"
      path: "{{ php_www_conf_file }}"
      state: present
    notify: reload php-fpm php7_fpm
    tags:
      - confphpfpm


  - name: "uplaod_max_filesize limit from 2M to {{ php_upload_max_filesize }} for PHP{{ php_version }}"
    lineinfile:
      line: "upload_max_filesize = {{ php_upload_max_filesize }}"
      regexp: "^upload_max_filesize"
      path: "{{ php_ini_file }}"
      state: present
    notify: reload php-fpm php7_fpm
    tags:
      - confphpfpm
